Subject: bug#20898: closed (Re: bug#20898: 25.0.50; Move landmark.el to elpa)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jul 2015 10:44:03 +0000

Your bug report

#20898: 25.0.50; Move landmark.el to elpa

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20898: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20898
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20898: 25.0.50; Move landmark.el to elpa
From: Nicolas Richard <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Jul 2015 12:43:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Finally marking as done. Sorry for the long delay.

Glenn Morris <[email-masked]> writes:
> Nicolas Richard wrote:
>> - add a Maintainer header (who should that be ? the original author ?)
> I think the honest answer is that it has no maintainer.
> I'd either leave it with no Maintainer header (which by convention means
> the author), or add one that says help wanted.

Since the requirement for ELPA is to have such a header, I went for the
second option.

Nicolas.

Subject: 25.0.50; Move landmark.el to elpa
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jun 2015 19:42:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

A bit of searching shows that landmark.el is not used much (if at all),
and in fact causes confusion :
https://lists.gnu.org/archive/html/emacs-devel/2006-04/msg00294.html
https://lists.gnu.org/archive/html/emacs-devel/2014-06/msg00592.html

In that thread, Stefan suggests to move landmark.el to GNU elpa. I want
to give this a try. What's the procedure ?

My current plan is :
- move the file to lisp/obsolete/,
- add a note to lisp/obsolete/landmark.el that it moved to GNU Elpa
  (like what was done for crisp.el)
- mention these changes in ChangeLog and NEWS
- copy the file to elpa.git, as packages/landmark/landmark.el
- add a Maintainer header (who should that be ? the original author ?)
and that's about it.

Opinions and advices very welcome.